package com.njcn.csharmonic.service.event;

import com.njcn.csharmonic.pojo.param.EventStatisticParam;
import com.njcn.csharmonic.pojo.vo.event.EventCoordsVO;
import com.njcn.csharmonic.pojo.vo.event.EventStatisticVO;
import com.njcn.csharmonic.pojo.vo.event.F47Curve;

import java.util.List;
import java.util.Map;

/**
 * @Author: cdf
 * @CreateTime: 2025-11-20
 * @Description: 暂降相关
 */
public interface EventOverviewService {

    EventStatisticVO netEventEcharts(EventStatisticParam baseParam);


    List<EventStatisticVO> netEventTable(EventStatisticParam baseParam);

    List<F47Curve> getF47Curve(EventStatisticParam baseParam);

    List<EventStatisticVO> getEventDate(EventStatisticParam baseParam);

    EventCoordsVO getEventCoords(EventStatisticParam baseParam);

    List<Map<String,Object>> getEventDirectionData(EventStatisticParam baseParam);
}
